AOWP_WeavingASTHelper (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.weaver.command.astutil.AOWP_WeavingASTHelper
/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 10

# Class AOWP_WeavingASTHelper

    AOWP_WeavingASTHelper

public class AOWP_WeavingASTHelper

Author:
  keiji

Field Summary
private static mixed | $_RANDOM_INDEX

Method Summary
static AOWP_PHPObjectPropertyElement | apartMethodCallElement(mixed objectPropertyElement, $objectPropertyElement ) このメソッドは、連続したメソッド呼び出し、フィールド参照を、 単純なメソッド呼び出し、フィールド参照からなる、複数の記述文に展開します。 例えば、 $a->b()->c()->d(); は、 $var1 = $a->b(); $var2 = $var1->c(); $var3 = $var2->d(); に展開します。
static void | convertOriginalElementsForScriptExecutionAroundAdvice(array originalElements, unknown_type proceedLabel, unknown_type flagVariableName, array proceedReturnLabels) For weaving for around advice targetting script execution join points.
static {@link | createAdviceExecutionAST(stirng aspectVariableName, int adviceIndex, string contextVariableName)
static {@link | createAdviceExecutionASTForAround(string aspectVariableName, int adviceIndex, string contextVariableName, mixed originalExecutionElement, $originalExecutionElement )
static AOWP_PHPStaticMethodCallElement | createAspectInstanceReleaseAST(mixed aspectInstanceName, string aspectName)
static AOWP_PHPEqualExprElement | createAspectInstantiationAST(string aspectName)
static void | createIfForFunctionDeclaration(mixed functionElement)
static AOWP_PHPFileIncludeStatementElement | createIncludeStatemenetElement(mixed targetSourcePath)
static AOWP_PHPEqualExprElement | createJoinPointInstantiationAST(mixed joinPoint, $joinPoint )
static array | getContainerParent(mixed element, mixed checkError, $element ) {@link AOWP_IPHPContainerElement}を実装するAST要素を、 親から探します。 返り値は、0番目が{@link AOWP_IPHPContainerElement}を実装するAST要素、 1番目がその直前の子のAST要素です。
static void | getRandomName(mixed prefix, mixed isVariableName)
static void | getVariableDefinitions(mixed targetElement)
static void | insertElement(mixed targetElement, mixed insertedElement, $insertedElement )

## Field Detail

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 12

### _RANDOM_INDEX

`private static mixed $_RANDOM_INDEX`

## Method Detail

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 196

### apartMethodCallElement

`public static AOWP_PHPObjectPropertyElement apartMethodCallElement(mixed objectPropertyElement, $objectPropertyElement )`

このメソッドは、連続したメソッド呼び出し、フィールド参照を、 単純なメソッド呼び出し、フィールド参照からなる、複数の記述文に展開します。 例えば、 `$a->b()->c()->d();` は、 `$var1 = $a->b(); $var2 = $var1->c(); $var3 = $var2->d();` に展開します。

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 277

### convertOriginalElementsForScriptExecutionAroundAdvice

`public static void convertOriginalElementsForScriptExecutionAroundAdvice(array originalElements, unknown_type proceedLabel, unknown_type flagVariableName, array proceedReturnLabels)`

For weaving for around advice targetting script execution join points.

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 92

### createAdviceExecutionAST

`public static {@link createAdviceExecutionAST(stirng aspectVariableName, int adviceIndex, string contextVariableName)`

Returns:
  AOWP_PHPIfStatementElement}

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 115

### createAdviceExecutionASTForAround

`public static {@link createAdviceExecutionASTForAround(string aspectVariableName, int adviceIndex, string contextVariableName, mixed originalExecutionElement, $originalExecutionElement )`

Returns:
  AOWP_PHPIfStatementElement}

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 79

### createAspectInstanceReleaseAST

`public static AOWP_PHPStaticMethodCallElement createAspectInstanceReleaseAST(mixed aspectInstanceName, string aspectName)`

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 68

### createAspectInstantiationAST

`public static AOWP_PHPEqualExprElement createAspectInstantiationAST(string aspectName)`

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 29

### createIfForFunctionDeclaration

`public static void createIfForFunctionDeclaration(mixed functionElement)`

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 50

### createIncludeStatemenetElement

`public static AOWP_PHPFileIncludeStatementElement createIncludeStatemenetElement(mixed targetSourcePath)`

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 19

### createJoinPointInstantiationAST

`public static AOWP_PHPEqualExprElement createJoinPointInstantiationAST(mixed joinPoint, $joinPoint )`

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 157

### getContainerParent

`public static array getContainerParent(mixed element, mixed checkError, $element )`

`AOWP_IPHPContainerElement`を実装するAST要素を、 親から探します。 返り値は、0番目が`AOWP_IPHPContainerElement`を実装するAST要素、 1番目がその直前の子のAST要素です。

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 144

### getRandomName

`public static void getRandomName(mixed prefix, mixed isVariableName)`

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 255

### getVariableDefinitions

`public static void getVariableDefinitions(mixed targetElement)`

/aspect/weaver/command/astutil/WeavingASTHelper.class.php at line 247

### insertElement

`public static void insertElement(mixed targetElement, mixed insertedElement, $insertedElement )`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr